-- JADRALCI
-- 1. Izpišite imena jadralcev s sodimi ratingi.
SELECT
  ime
FROM
  jadralec
WHERE
  rating % 2 = 0;

-- 2. Ugotovite, ali imata kakšna dva čolna enako ime.
SELECT
  *
FROM
  coln c1,
  coln c2
WHERE
  c1.cid < c2.cid
  AND c1.ime = c2.ime;

-- 3. Izpišite imena jadralcev z lihimi ratingi.
SELECT
  ime
FROM
  jadralec
WHERE
  rating % 2 = 1;

-- 4. Izpišite imena čolnov daljših od 35 čevljev, ki so jih rezervirali jadralci stari 35 let ali manj.
SELECT
  ime
FROM
  coln
WHERE
  dolzina > 35;

-- 5. Za vse jadralce, ki so rezervirali čoln Bavaria ali Sun Odyssey, izpišite jadralčevo ime in datum rezervacije.
SELECT
  j.ime,
  r.dan
FROM
  jadralec j,
  rezervacija r,
  coln c
WHERE
  j.jid = r.jid
  AND r.cid = c.cid
  AND c.ime = 'Bavaria'
  OR c.ime = 'Sun Odyssey';

-- 6. Ugotovite, ali imajo vsi jadralci različna imena.
SELECT
  *
FROM
  jadralec j1,
  jadralec j2
WHERE
  j1.jid < j2.jid
  AND j1.ime = j2.ime;

-- 7. Izpišite imena jadralcev, ki so v koledarskem poletju 2006 rezervirali čoln, katerega ime vsebuje sonce (sun).
SELECT
  j.ime
FROM
  jadralec j,
  rezervacija r,
  coln c
WHERE
  j.jid = r.jid
  AND r.cid = c.cid
  AND r.dan BETWEEN '2006-05-01'
  AND '2007-08-31'
  AND c.ime LIKE '%sun%';

-- EMPLOYEES
-- 1. Izpišite vse priimke zaposlenih, ki vsebujejo ‘ski’.
SELECT
  last_name
FROM
  employees
WHERE
  last_name LIKE '%ski%';

-- 2. Izpišite vse možne oddelke.
SELECT
  dept_name
FROM
  departments;

-- 3. Izpišite vsa imena in priimke zaposlenih, ki imajo vsaj eno leto plačo 70000 ali več.
SELECT
  DISTINCT e.first_name,
  e.last_name
FROM
  employees e,
  salaries s
WHERE
  s.emp_no = e.emp_no
  AND s.salary > 70000;

-- 4. Izpišite imena in priimke vseh zaposlenih z nazivom 'Senior Staff'.
SELECT
  e.first_name,
  e.last_name
FROM
  employees e,
  titles t
WHERE
  e.emp_no = t.emp_no
  AND t.title = 'Senior Staff';

-- 5. Izpišite vse priimke zaposlenih, ki se začnejo z nizom 'Pea'. 
SELECT
  last_name
FROM
  employees
WHERE
  last_name LIKE 'Pea%';

-- 6. Za zaposlene iz naloge 5. izpišite še ustrezen naziv. 
SELECT
  e.last_name,
  t.title
FROM
  employees e,
  titles t
WHERE
  e.emp_no = t.emp_no
  AND last_name LIKE 'Pea%';

-- 7. Izpišite vse podatke zaposlenih, ki so rojeni med vključno letoma 1950 in 1960 in se njihova imena končajo na samoglasnik ter so bili najeti leta 1990 ali kasneje.
SELECT
  *
FROM
  employees
WHERE
  YEAR(birth_date) BETWEEN 1950
  AND 1960
  AND first_name RLIKE '^.*[aeiou]$'
  AND YEAR(hire_date) >= 1990;